Lone Wolf Development Forums  

Go Back   Lone Wolf Development Forums > Hero Lab Forums > HL - Pathfinder Roleplaying Game

Notices

Reply
 
Thread Tools Display Modes
Lunacorva
Junior Member
 
Join Date: Dec 2021
Posts: 22

Old February 23rd, 2022, 02:10 AM
So. I turn on HeroLab and learn some of my Pathfinder files need updating.

Easy enough. I click "Yes" "Start Import" and soon enough I get the message saying my files have been updated.

Excellent. Time to start- Why is it saying they need updating? I LITERALLY JUST UPDATED THEM!

I get it. It's a different file that needs... nope, nope. It's the exact same file.

Try again?

Same result.

Maybe I need to Relaunch Hero Lab?

Same result.

Reboot my PC?

Same result.

The Hell is going on??
Lunacorva is offline   #1 Reply With Quote
Ryan F
Senior Member
Lone Wolf Staff
 
Join Date: Feb 2018
Posts: 170

Old February 23rd, 2022, 06:10 AM
Hello,

This sounds like an uncommon issue regarding where the 32 bit and 64 bit versions of the software have their wires crossed. I'd advise a few different things to test out what the root issue is but to be plain honest with you, simply uninstalling completely and then getting a fresh copy downloaded/installed/activated is going to be almost certainly going to be the way this gets fixed regardless of the discrete cause of the issue.

If it gives you any trouble upon reinstall please do reach out to us in support and let us know what you see, you can find our contact email address in my signature. I hope this helps, thanks!

--
Ryan Furnas
Customer/Technical Support
<support@wolflair.com>
Ryan F is offline   #2 Reply With Quote
Ualaa
Senior Member
 
Join Date: Sep 2013
Location: Vancouver, Canada.
Posts: 797

Old February 23rd, 2022, 08:51 AM
If this is the Spheres of Might, Ultimate Spheres of Power and Champions of the Spheres, or another 3pp set of Hero Lab files, it has happened before.

A while back Spheres had some issue with the date on the update file, and ShadowChemosh told IronGolem what to do to remove it.

The current spheres files are doing that, although we have the up to date version and just clicking no to the further update opens up Hero Lab, which runs without issues.

Not sure if this is the same issue or not.
Ualaa is offline   #3 Reply With Quote
Dami
Senior Member
 
Join Date: Mar 2013
Location: Melbourne, Australia
Posts: 993

Old February 23rd, 2022, 10:42 PM
Check the latest posts in the Spheres of Power thread - if that's the package triggering the update message. Others have had the same or similar update issues. Since SoP is not a LW package, they are probably limited in what assistance they can offer.
If you have the most up to date files, and they work, the best option is probably ignore the update message.

If it's not SoP, email LW support and they should be able to work it out.

Current RPG's: Pathfinder (GM), Pathfinder (Player), Gamma World (GM, Pathfinder homebrew).
HeroLab: 3.5 & Pathfinder. HL User Files for PF: Greyhawk Setting, Gamma World (WIP).

DM and player of D&D since 1980.
Dami is offline   #4 Reply With Quote
ploturo
Member
 
Join Date: May 2021
Posts: 79

Old February 24th, 2022, 02:38 AM
Also, double check to make sure the date and time are set correctly on your computer.

The update mechanism seems to assume there is still a newer version of a data file update available if the date/time for the update is after your current time, regardless of whether the version numbers match.
ploturo is offline   #5 Reply With Quote
Aril
Senior Member
 
Join Date: Jul 2019
Posts: 130

Old March 15th, 2022, 07:02 AM
I'm having that problem with the Spheres of Power packages, and it hasn't gone away.
Aril is offline   #6 Reply With Quote
Aril
Senior Member
 
Join Date: Jul 2019
Posts: 130

Old March 15th, 2022, 07:04 AM
Quote:
Originally Posted by Ualaa View Post
If this is the Spheres of Might, Ultimate Spheres of Power and Champions of the Spheres, or another 3pp set of Hero Lab files, it has happened before.

A while back Spheres had some issue with the date on the update file, and ShadowChemosh told IronGolem what to do to remove it.

The current spheres files are doing that, although we have the up to date version and just clicking no to the further update opens up Hero Lab, which runs without issues.

Not sure if this is the same issue or not.
Clicking on "no further update"....I've just been clicking by....but doesn't that mean I don't have the updates, since I'm electing to use it without updating the file?
Aril is offline   #7 Reply With Quote
Ualaa
Senior Member
 
Join Date: Sep 2013
Location: Vancouver, Canada.
Posts: 797

Old March 19th, 2022, 09:27 AM
The IronGolem had the same issue, early into the Hero Lab Sphere files.

Basically somewhere there is code for the current installed version (or maybe date).
And there is code for the version of the new release.

The newest release is marked as older than itself.
So even after updating, it sees that the file you just updated with is newer than what you have, and it offers to update it.

At this stage, you can just click no to the update, to get out of the loop of always having the same update available.
And you have the current/latest.

If in doubt, try to do an update once when you start hero lab.
Then once you can say no don't do the update a second time.
If it is updated, that update process when you start HL will get you the latest version.

Even if you click no now, it is going to show as available when you start next time as well as each time you click Find Updates.
Ualaa is offline   #8 Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -8. The time now is 01:10 AM.


Powered by vBulletin® - Copyright ©2000 - 2022, vBulletin Solutions, Inc.
wolflair.com copyright ©1998-2016 Lone Wolf Development, Inc. View our Privacy Policy here.